XRT-RUNNER(1)

NAME
xrt-runner - execute XRT runner recipe/profile workloads

SYNOPSIS
xrt-runner [--recipe recipe.json] [--profile profile.json] [--script runner.json] [--iterations N] [--threads N] [--queue-limit N] [--dir PATH] [--mode latency|throughput|validate] [--verbose N] [--progress] [--report [FILE]]

DESCRIPTION
xrt-runner executes XRT workloads defined by recipe and profile JSON files, or by a runner script for multi-threaded execution.

OPTIONS

--recipe
    Recipe file to run.

--profile
    Execution profile file.

--script
    Runner script for multi-threaded execution.

--iterations
    Override profile iterations.

--threads
    Number of worker threads for script mode.

--queue-limit
    Maximum pending jobs in script mode.

--dir
    Directory containing referenced artifacts.

--mode
    Execute only selected mode: latency, throughput, or validate.

--verbose
    Set XRT verbosity level.

--progress
    Show execution progress.

--report
    Write metrics report to file, or stdout when no file is provided.

SEE ALSO
xrt-smi(1)